$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.63.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.63.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '2C7820636C547611B772BAD5A720C1A99CC76B6514778729748FD7363953EBC6'
  checksumType = 'sha256'
  checksum64 = '2C7820636C547611B772BAD5A720C1A99CC76B6514778729748FD7363953EBC6'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.63-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
